<?php

namespace App\Http\Controllers;

use App\Models\IprsNewService;
use App\Models\IprsNewServiceGroup;
use Illuminate\Http\Request;

class ServiceGroupController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $serviceGroup=IprsNewServiceGroup::all();

        return view('services.serviceGroup', ['serviceGroup'=>$serviceGroup]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $validated=$request->validate([
            'service_name' => 'required|string|min:2',
        ]);
        IprsNewServiceGroup::create($validated);
        return redirect()->route('service.index')->with('Service group created!');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
